Package ru.bitel.bgbilling.modules.inet.server.ip

# Interface InetServIpHandler

All Known Implementing Classes:
  `AbstractInetServIpHandler`, `InetServIpHandlerOldMode`

public interface InetServIpHandler

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkAddress(InetServ inetServ, InetServType servType)`
  Проверка введенных значений IP
  `void`
  `flowStaticSubnet(ru.bitel.bgbilling.modules.inet.server.runtime.InetServRuntime inetServRuntime, List<IpNet> result)`
  добавляем статическую подсеть в обсчет Netflow
  `void`
  `setAddress(InetServ inetServ, InetServType servType, InetServ oldInetServ, int subscriberId, String subscriberTitle)`
  Выделение IP из ресурсов
  `boolean`
  `setRadiusIp(InetServIpData inetServIpData, RadiusPacket request, RadiusPacket response)`

- ## Method Details

  - ### checkAddress

    void checkAddress(InetServ inetServ, InetServType servType) throws ru.bitel.bgbilling.common.BGMessageException
    Проверка введенных значений IP
    Parameters:
      `inetServ` -
      `servType` -
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### setAddress

    void setAddress(InetServ inetServ, InetServType servType, InetServ oldInetServ, int subscriberId, String subscriberTitle) throws Exception
    Выделение IP из ресурсов
    Parameters:
      `ipMode` -
      `inetServ` -
      `servType` -
      `oldInetServ` -
      `subscriberId` -
      `subscriberTitle` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### setRadiusIp

    boolean setRadiusIp(InetServIpData inetServIpData, RadiusPacket request, RadiusPacket response)
    Parameters:
      `inetServIpData` -
      `request` -
      `response` -
    Returns:

  - ### flowStaticSubnet

    void flowStaticSubnet(ru.bitel.bgbilling.modules.inet.server.runtime.InetServRuntime inetServRuntime, List<IpNet> result)
    добавляем статическую подсеть в обсчет Netflow
    Parameters:
      `inetServRuntime` -
      `result` -